GET api/departmentItemapi/departmentitemsbydepartment/{departmentId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| departmentId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "d7eb1532-a8a6-4254-85cc-a791882f2d70",
"selected_nameplate_id": "ac13b319-87a7-4c4f-b02b-ea03309e792f",
"active": true,
"department_id": "13757675-ba53-4420-bdb8-8e87af8864dc",
"id": "f7bb6860-f1e1-49c0-8b60-a09029a72d43",
"physical_item_id": "ea9f5f59-a0d2-4f45-b592-dc3630d81084",
"service_item_id": "ccf9932e-80b7-4ed4-8e9d-85fca8d827a7",
"item_wash_max": 1,
"quantity": 1
},
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "d7eb1532-a8a6-4254-85cc-a791882f2d70",
"selected_nameplate_id": "ac13b319-87a7-4c4f-b02b-ea03309e792f",
"active": true,
"department_id": "13757675-ba53-4420-bdb8-8e87af8864dc",
"id": "f7bb6860-f1e1-49c0-8b60-a09029a72d43",
"physical_item_id": "ea9f5f59-a0d2-4f45-b592-dc3630d81084",
"service_item_id": "ccf9932e-80b7-4ed4-8e9d-85fca8d827a7",
"item_wash_max": 1,
"quantity": 1
}
]
application/xml, text/xml
Sample:
<ArrayOfdepartment_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<department_item>
<active>true</active>
<department_id>13757675-ba53-4420-bdb8-8e87af8864dc</department_id>
<id>f7bb6860-f1e1-49c0-8b60-a09029a72d43</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>ea9f5f59-a0d2-4f45-b592-dc3630d81084</physical_item_id>
<quantity>1</quantity>
<service_item_id>ccf9932e-80b7-4ed4-8e9d-85fca8d827a7</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>ac13b319-87a7-4c4f-b02b-ea03309e792f</selected_nameplate_id>
<selected_sticker_id>d7eb1532-a8a6-4254-85cc-a791882f2d70</selected_sticker_id>
</department_item>
<department_item>
<active>true</active>
<department_id>13757675-ba53-4420-bdb8-8e87af8864dc</department_id>
<id>f7bb6860-f1e1-49c0-8b60-a09029a72d43</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>ea9f5f59-a0d2-4f45-b592-dc3630d81084</physical_item_id>
<quantity>1</quantity>
<service_item_id>ccf9932e-80b7-4ed4-8e9d-85fca8d827a7</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>ac13b319-87a7-4c4f-b02b-ea03309e792f</selected_nameplate_id>
<selected_sticker_id>d7eb1532-a8a6-4254-85cc-a791882f2d70</selected_sticker_id>
</department_item>
</ArrayOfdepartment_item>